Subject: bug#27000: 25.2; js-jsx-mode incorrect indentation

From: Jackson Ray Hamilton <[email-masked]>
Date: Tue, 4 Jun 2019 20:09:47 -0700

Hi Renato,

A set of changes I pushed to the Emacs master branch 2 months ago should 
resolve this issue.  (First fixed in 4b305bb185, but there were several 
commits after that when I broke/fixed it again.  The master branch is 
your best bet.)

Note that you might not need to use js-jsx-mode any more, either; 
support for JSX should be enabled in js-mode if you include the “React” 
library in a file, or if the file ends in “.jsx”.

Jackson